# QwSpriteFieldView Class Reference

A QWidget which views a QwSpriteField More...

`#include <QwSpriteField.h>`

Inherits QWidget and QwAbsSpriteFieldView.

List of all member functions.

## Public Members

- QwSpriteFieldView ( QwSpriteField * viewing=0, QWidget * parent=0, const char * name=0, WFlags f=0 )
- ~QwSpriteFieldView ()
- virtual QRect viewArea () const
- virtual bool preferDoubleBuffering () const
- virtual void beginPainter ( QPainter & )
- virtual void flush ( const QRect & area )

## Protected Members

- virtual void paintEvent ( QPaintEvent * )

## Detailed Description

A QWidget which views a QwSpriteField

This is where QwSpriteField meets a QWidget - this class displays a QwSpriteField.

## Member Function Documentation

### QwSpriteFieldView::QwSpriteFieldView ( QwSpriteField * v=0, QWidget * parent=0, const char * name=0, WFlags f=0 )

Construct a QwSpriteFieldView which views the given QwSpriteField. The usual QWidget parameters may also be passed.

### QwSpriteFieldView::~QwSpriteFieldView ()

Deconstruct the QwSpriteFieldView.

### void QwSpriteFieldView::beginPainter ( QPainter & painter ) `[virtual]`

Configure the QPainter - just makes it draw on this widget.

### void QwSpriteFieldView::flush ( const QRect & ) `[virtual]`

Nothing.

### void QwSpriteFieldView::paintEvent ( QPaintEvent * ev ) `[virtual protected]`

(override)

Repaint the appropriate area of the QwSpriteField which this QwSpriteFieldView is viewing.

### bool QwSpriteFieldView::preferDoubleBuffering () const `[virtual]`

Returns TRUE: double-buffering is best for widget views of a QwSpriteField.

### QRect QwSpriteFieldView::viewArea () const `[virtual]`

Returns the area of the widget, clipped by the area of the widget's parent (if any). This should suffice for most cases.

This file is copyright © 1995-97 Warwick Allison.

It was generated from the following files:

- QwSpriteField.h
- QwSpriteField-double.cpp
- QwSpriteField-int.cpp
- QwSpriteField-mobdouble.cpp
- QwSpriteField-mobint.cpp
- QwSpriteField-template.cpp
- QwSpriteField.cpp